Get workflow step executions

Server: https://{kibana_url}
  • GET /api/workflows/workflow/{workflowId}/executions/steps
  • GET /s/{space_id}/api/workflows/workflow/{workflowId}/executions/steps

Refer to Spaces for more information.

Retrieve a paginated list of step-level execution records for a specific workflow. Optionally filter by step ID and include input or output data.

[Required authorization] Route required privileges: workflowsManagement:readExecution OR workflowsManagement:managed:readExecution.

Path Parameters

workflowId string required

Workflow ID

Response

200

Indicates a successful response

application/json